reinitialize
bg_color white

# Loren Williams, Georgia Tech
# pymol script for a mixed beta_sheet protein

load carboxypeptidase_1bav.pdb, protein

create sheet_cartoon, ss s and protein
color yellow, sheet_cartoon
hide everything, sheet_cartoon
show cartoon, sheet_cartoon

create sheet_stick, ss s and name c+o+n+ca+cb and protein
hide everything, sheet_stick
show stick, sheet_stick

#------------sheet hydrogen bonds
dist sheet_hbond, (name O and sheet_stick), (name N and sheet_stick), 3.3, mode=2
color black, sheet_hbond
set label_size, -0.30, sheet_hbond
set dash_width, 4.0
set dash_gap, 0.15
set label_position, (0,1.3,0), sheet_hbond

#-------- cartoon
create cartoon_all, protein
hide everything, cartoon_all
show cartoon, cartoon_all
color red, ss h and cartoon_all
color yellow, ss s and cartoon_all
color green, ss l+'' and cartoon_all


#--------sticks---------
create sticks_all, protein
hide everything, sticks_all
show sticks, sticks_all

#-------- mainchain
#create mainchain, name c+o+n+ca+cb and protein
#hide everything, mainchain
#show lines, mainchain
#show spheres, mainchain
#alter mainchain, vdw=0.20
#rebuild
#set line_width, 8, mainchain

#-------- sidechains
#create sidechains, sticks
#hide everything, sidechains
#show sticks, sidechains

#--------ampipathic helix

create amphipathic_helix, ss h and protein and resi 214-234
set dot_density, 3, amphipathic_helix
show dots, amphipathic_helix
color red, amphipathic_helix and elem O
color blue, amphipathic_helix and elem N
color green, amphipathic_helix and elem C+S
color green, amphipathic_helix and name O+N

#------------------------------phi/psi------torsion angles

#---------------phi


dihedral phi1, /sticks/*//*`118/C, /sticks/*//*`119/N, /sticks/*//*`119/CA, /sticks/*//*`119/C
create phi_atoms1, /sticks/*//*`118/C or /sticks/*//*`119/N or /sticks/*//*`119/CA or /sticks/*//*`119/C

create phi_atoms2, /sticks/*//*`119/C or /sticks/*//*`120/N or /sticks/*//*`120/CA or /sticks/*//*`120/C
dihedral phi2, /sticks/*//*`119/C, /sticks/*//*`120/N, /sticks/*//*`120/CA, /sticks/*//*`120/C

create phi_atoms3, /sticks/*//*`120/C or /sticks/*//*`121/N or /sticks/*//*`121/CA or /sticks/*//*`121/C
dihedral phi3, /sticks/*//*`120/C, /sticks/*//*`121/N, /sticks/*//*`121/CA, /sticks/*//*`121/C

create phi_atoms4, /sticks/*//*`121/C or /sticks/*//*`122/N or /sticks/*//*`122/CA or /sticks/*//*`122/C
dihedral phi4, /sticks/*//*`121/C, /sticks/*//*`122/N, /sticks/*//*`122/CA, /sticks/*//*`122/C

hide everything, phi_atoms*
show stick, phi_atoms*
set stick_radius, 0.10, phi_atoms*
label phi_atoms*, name

show spheres, phi_atoms*
alter phi_atoms*, vdw=0.25
alter phi_atoms* and name N, vdw=0.35
rebuild

set dihedral_size, 2.5, phi*
set line_width, 6, phi*
set label_color, red, phi*
color red, phi*
set label_color, red, phi_atoms*

#---------------psi
dihedral psi1, /sticks/*//*`119/N, /sticks/*//*`119/CA, /sticks/*//*`119/C, /sticks/*//*`120/N
create psi_atoms1,  /sticks/*//*`119/N or/sticks/*//*`119/CA or /sticks/*//*`119/C or /sticks/*//*`120/N

dihedral psi2, /sticks/*//*`120/N, /sticks/*//*`120/CA, /sticks/*//*`120/C, /sticks/*//*`121/N
create psi_atoms2,  /sticks/*//*`120/N or/sticks/*//*`120/CA or /sticks/*//*`120/C or /sticks/*//*`121/N

dihedral psi3, /sticks/*//*`121/N, /sticks/*//*`121/CA, /sticks/*//*`121/C, /sticks/*//*`122/N
create psi_atoms3,  /sticks/*//*`121/N or/sticks/*//*`121/CA or /sticks/*//*`121/C or /sticks/*//*`122/N

dihedral psi4, /sticks/*//*`122/N, /sticks/*//*`122/CA, /sticks/*//*`122/C, /sticks/*//*`123/N
create psi_atoms4,  /sticks/*//*`122/N or/sticks/*//*`122/CA or /sticks/*//*`122/C or /sticks/*//*`123/N


show stick, psi_atoms*
set stick_radius, 0.10, psi_atoms*
label psi_atoms*, name

show spheres, psi_atoms*
alter psi_atoms*, vdw=0.25
alter psi_atoms* and name ca, vdw=0.35
rebuild


set dihedral_size, 1.5, psi*
set line_width, 6, psi*
set label_color, blue, psi*
color blue, psi*
set label_color, red, psi_atoms*

disable all
enable sheet_cartoon
delete protein


set_view (\
     0.267720193,    0.348983973,   -0.898088098,\
    -0.962760150,    0.060222693,   -0.263597816,\
    -0.037908211,    0.935206532,    0.352105498,\
     0.000000000,    0.000000000, -105.703910828,\
    14.560089111,   20.444238663,   12.975013733,\
    68.430824280,  142.977050781,    0.000000000 )
